(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: display_quantity_spec.mli,v 1.16 2014-02-26 23:33:54 fclement Exp $ *)

(** {3 Display quantity specification} *)

open Refinement_types;;
open Display_types;;
open Scalar_spec;;
open Components_spec;;

module type MAKER =
  functor (Scal : SCALAR) ->
  functor (Comps : COMPONENTS) ->
sig
  module Bb : module type of (Black_box.Make (Scal) (Comps));;
  module St : module type of (State.Make (Scal) (Comps));;
  module H : module type of (History.Make (Scal) (Comps));;
  
  module Dqt : module type of (Display_quantity_types.Make (Scal) (Comps));;
  
  val setup :
    graphics_mode -> min_window_size -> max_window_size -> image_size -> unit
  ;;
  
  val set_quantity_and_draw : quantity -> Bb.partitions -> unit;;
  val update_quantity_and_draw : quantity -> Bb.partitions -> unit;;
end
;;
